ru.bitel.oss.kernel.directories.domain.common.service

## Interface DomainService

-     public interface DomainService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `domainDelete(int id)`
    `Domain` | `domainGet(int id)`
    `java.util.List<Domain>` | `domainList()`
    `void` | `domainMove(int newParentId, java.util.Set<java.lang.Integer> ids)`
    `Domain` | `domainTree()`
    `int` | `domainUpdate(Domain domain)`

- - ### Method Detail

    - #### domainUpdate

          int domainUpdate(Domain domain)
                    throws ru.bitel.bgbilling.common.BGException,
                           ru.bitel.bgbilling.common.BGMessageException,
                           ru.bitel.bgbilling.common.BGIllegalArgumentException,
                           ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### domainGet

          Domain domainGet(int id)
                    throws ru.bitel.bgbilling.common.BGException,
                           ru.bitel.bgbilling.common.BGMessageException,
                           ru.bitel.bgbilling.common.BGIllegalArgumentException,
                           ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### domainList

          java.util.List<Domain> domainList()
                                     throws ru.bitel.bgbilling.common.BGException,
                                            ru.bitel.bgbilling.common.BGMessageException,
                                            ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                            ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### domainDelete

          void domainDelete(int id)
                     throws ru.bitel.bgbilling.common.BGException,
                            ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGIllegalArgumentException,
                            ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### domainTree

          Domain domainTree()
                     throws ru.bitel.bgbilling.common.BGException,
                            ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGIllegalArgumentException,
                            ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### domainMove

          void domainMove(int newParentId,
                          java.util.Set<java.lang.Integer> ids)
                   throws ru.bitel.bgbilling.common.BGException,
                          ru.bitel.bgbilling.common.BGMessageException,
                          ru.bitel.bgbilling.common.BGIllegalArgumentException,
                          ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`